For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request history
        • GETGet service request history by ID
        • PUTUpdate Service Request: Propertyware
        • POSTCreate Service Request: Propertyware
        • POSTCreate Service Request History: Propertyware
        • POSTCreate Service Request File: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPService Requests

Create Service Request: Propertyware

POST
/v1/service-requests/propertyware/
POST
/v1/service-requests/propertyware/
$curl -X POST https://api.propexo.com/v1/service-requests/propertyware/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-987654321",
> "property_id": "prop-123456789"
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "intg-987654321",
7 "property_id": "prop-123456789",
8 "unit_id": "unit-456789123",
9 "vendor_id": "vend-321654987",
10 "lease_id": "lease-789123456",
11 "access_is_authorized": true,
12 "service_description": "Air conditioning unit repair",
13 "service_category": "HVAC",
14 "date_completed": "2024-06-10T14:00:00Z",
15 "date_created": "2024-06-05T09:30:00Z",
16 "service_details": "Technician to inspect and repair the air conditioning unit in the living room.",
17 "date_due": "2024-06-12T17:00:00Z",
18 "date_scheduled": "2024-06-11T10:00:00Z",
19 "status_raw": "Scheduled"
20 }
21}
Create Service Request: Propertyware | Method | |---| | createWorkOrder | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Create Service Request History: Propertyware

Next
Built with

Create Service Request: Propertyware

Method
createWorkOrder
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
property_idstringRequired
The Propexo unique identifier for the property
unit_idstringOptional
The Propexo unique identifier for the unit
vendor_idstringOptional
The Propexo unique identifier for the vendor
lease_idstringOptional
The Propexo unique identifier for the lease
access_is_authorizedbooleanOptional
Whether or not the tenant has granted permission to enter the unit associated with the service request
service_descriptionstringOptional
A description of the service request
service_categorystringOptional
The category of service request
date_completedstringOptionalformat: "date-time"
The date the service request was completed
date_createdstringOptionalformat: "date-time"
The date the service request was created
service_detailsstringOptional
Details about the service request
date_duestringOptionalformat: "date-time"
The due date associated with the service request
date_scheduledstringOptionalformat: "date-time"
The date the service request is scheduled
status_rawstringOptional
The status associated with the work order

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error